%define vendor qlgc
%define driver_name qlge
%define driver_version	1.00.00.22
%define dist sles
%define distver 10

%define  BUILD_KERNEL_SPEC %( if [ -z "${BUILD_KERNEL}" ]; then BUILD_KERNEL=`uname -r`; fi; echo "${BUILD_KERNEL}" | cut -d "-" -f -2 )

Summary:      Linux driver for the QLogic ethernet adapter
Name:         %{vendor}-%{driver_name}
License:      GPL
Group:        System/Kernel
Version:      %{driver_version}
Release:	2
Source0:      %{driver_name}-%{driver_version}.tgz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: kernel-source kernel-syms

%suse_kernel_module_package kdump um kdumppae vmi vmipae

%description
This Package contains the QLogic %{driver_name}. ethernet driver.

%package KMP
Summary: Update for Qlogic qlge ethernet driver
Group:	 System/Kernel

%description KMP
This package contains a driver update for QLogic ethernet adapter

%prep
%setup -n %{driver_name}-%{driver_version}
set -- *
mkdir source
mv "$@" source/
mkdir obj
cd source

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	echo "flavors to build = %flavors_to_build"
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	if [ "$flavor" == "default" ]; then
		export BUILD_KERNEL=%{BUILD_KERNEL_SPEC}
	else
		export BUILD_KERNEL=%{BUILD_KERNEL_SPEC}-$flavor
	fi
    	%{__make} -C /usr/src/linux-%{BUILD_KERNEL_SPEC}-obj/%_target_cpu/$flavor modules M=$PWD/obj/$flavor 
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	if [ "$flavor" == "default" ]; then
		export BUILD_KERNEL=%{BUILD_KERNEL_SPEC}
	else
		export BUILD_KERNEL=%{BUILD_KERNEL_SPEC}-$flavor
	fi

    	%{__make} -C /usr/src/linux-%{BUILD_KERNEL_SPEC}-obj/%_target_cpu/$flavor modules_install M=$PWD/obj/$flavor 
done

%changelog
* Fri Dec 04 2009 Sarang Radke <sarang.radke@qlogic.com>
- Auotpackaged 1.00.00.22-2
* Wed Jul 15 2009 Sarang Radke <sarang.radke@qlogic.com>
- Auotpackaged 1.00.00.19-1
* Fri Jun 12 2009 Sarang Radke <sarang.radke@qlogic.com>
- Auotpackaged 1.00.00.11-1
* Wed May 20 2009 Sarang Radke <sarang.radke@qlogic.com>
- Auotpackaged 1.00.00.07-1
* Mon Apr 27 2009 Sarang Radke <sarang.radke@qlogic.com>
- Auotpackaged 1.00.00.05-1
* Wed Apr 22 2009 Sarang Radke <sarang.radke@qlogic.com>
- Auotpackaged 1.00.00-2
* Tue Mar 19 2009 - poorna.pathipaka@qlogic.com
- Added support for QLogic qlge ethernet driver

* Thu Aug 10 2006 - jgrimm2@us.ibm.com
- Initial package; based on novell-example 
